package cmd

import (
	"context"
	"fmt"

	"orus.io/orus-io/rednerd/rendering"
)

type VarlistCmd struct {
	Template Template `group:"Template"`
}

func (cmd VarlistCmd) Execute(args []string) error {
	if len(args) == 1 {
		cmd.Template.DataFile = args[0]
	}
	if err := engineOptions.SetupEngines(log); err != nil {
		return err
	}
	template, err := cmd.Template.ToModelTemplate()
	if err != nil {
		return err
	}
	fmt.Println(template.Language)
	t, err := rendering.DefaultTemplateEngineRegistry.Load(context.Background(), template)
	if err != nil {
		return err
	}
	varlist, err := t.Varlist()
	if err != nil {
		return err
	}
	for _, v := range varlist {
		fmt.Println("-", v)
	}

	return nil
}
