package mustache

import (
	"testing"

	"github.com/cbroglie/mustache"
	"github.com/stretchr/testify/require"
)

func TestVarlist(t *testing.T) {
	mt, err := mustache.ParseString(`
	{{#outsection}}
		{{#section1}}
			{{var1}}
			{{var2}}
		{{/section1}}
		{{#section2}}
			{{var1}}
			{{var2}}
		{{/section2}}
	{{/outsection}}
	`)
	require.NoError(t, err)
	tmpl := Template{
		outputType:   "text/plain",
		bodyTemplate: mt,
	}
	l, err := tmpl.Varlist()
	require.NoError(t, err)
	require.Equal(t, []string{
		"outsection.section1.var1",
		"outsection.section1.var2",
		"outsection.section2.var1",
		"outsection.section2.var2",
	}, l)
}
