package models

import (
	"github.com/lib/pq"
)

func IsDuplicateError(err error) bool {
	switch e := err.(type) {
	case *pq.Error:
		switch e.Code {
		case "23505":
			// unique constraint violation
			return true

		default:
			return false
		}
	default:
		return false
	}
}
